%global commit 331e6fe5ea39d2353bbbe85e87b5850e4b144d9f
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20221209

Name:          fuse-nfs
Version:       1.0.0
Release:       1.%{gitdate}.git%{shortcommit}%{?dist}.1sunshine
Summary:       A FUSE module for NFSv3
Source0:       https://github.com/sahlberg/%{name}/archive/%{commit}.zip#/%{name}-%{commit}.zip
URL:           https://github.com/sahlberg/%{name}/
Group:         System Environment/Base
License:       GPLv3+
BuildRequires: libtool automake autoconf
BuildRequires: fuse-devel libnfs-devel
BuildRequires: /usr/bin/xsltproc docbook-style-xsl

%description
fuse-nfs is a FUSE module that implements the NFSv3 protocol.

%prep
%setup -q -n "%{name}-%{commit}"

%build
./setup.sh
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# not sure what a FUSE module needs a pkg-config file for
rm -rf %{buildroot}%{_libdir}/pkgconfig

%clean
rm -rf %{buildroot}

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Mar 15 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.0-0.20221209.git331e6fe.1sunshine
- update to latest git snapshot

* Tue Aug 30 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.0-0.20220117.git165c075.1sunshine
- update to latest git snapshot

* Wed Apr 18 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.0-0.20180416.git91c69c5.1sunshine
- update to latest git snapshot

* Mon Oct 23 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.0-0.20171013.git8bd5836.1sunshine
- update to latest git snapshot

* Mon Jun 05 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.0-0.20170326.git5103101.1sunshine
- update to latest git snapshot
- drop warnings patch, it is upstream

* Tue Mar 21 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.0-0.20170310.git9bb1fb0.2sunshine
- add a patch to fix a (serious) initialization bug pointed out by compiler
  warnings
- BR docbook-style-xsl to locally provide the requested manpage style sheet

* Tue Mar 21 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.0-0.20170310.git9bb1fb0.1sunshine
- initial RPM
